<?php
namespace Atarapay\Escrow\Plugin\Sales\Order;
class Grid{
    public static $table = 'sales_order_grid';
    public static $leftJoinTable = 'sales_order';
    public function afterSearch($intercepter, $collection){
        if ($collection->getMainTable() === $collection->getConnection()->getTableName(self::$table)){
            $leftJoinTableName = $collection->getConnection()->getTableName(self::$leftJoinTable);
            $collection
                ->getSelect()
                ->joinLeft(
                    ['co'=>$leftJoinTableName],
                    "co.entity_id = main_table.entity_id",
                    [
                        'is_exported' => 'co.atarapay_order_id'
                    ]
                );
            $where = $collection->getSelect()->getPart(\Magento\Framework\DB\Select::WHERE);
            /*Code Written By Magento360 TEAM FOR FIXED SEARCH issue*/
            $new_where=array();
            if(!empty($where)):
                foreach ($where as  $wh):
                    if (strpos($wh, '`main_table`.`atarapay_order_id`') !== false) {
                        $wh=str_replace('`main_table`.`atarapay_order_id`','`co`.`atarapay_order_id`',$wh);
                    }
                    $new_where[]=$wh;
                endforeach;
            endif;
            if(!empty($new_where)):
                $collection->getSelect()->setPart(\Magento\Framework\DB\Select::WHERE, $new_where);
            else:
                $collection->getSelect()->setPart(\Magento\Framework\DB\Select::WHERE, $where);
            endif;
        }
        return $collection;
    }
}